Bug 163274 - games/xshisen: fix some latent buffer overflow bug
Summary: games/xshisen: fix some latent buffer overflow bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 08:20 UTC by TsurutaniNaoki
Modified: 2011-12-21 14:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (468 bytes, patch)
2011-12-14 08:20 UTC, TsurutaniNaoki
no flags Details | Diff
file.diff (854 bytes, patch)
2011-12-14 08:20 UTC, TsurutaniNaoki
no flags Details | Diff
file.diff (340 bytes, patch)
2011-12-14 08:20 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2011-12-14 08:20:07 UTC
	games/xshisen contains a buffer overflow vulnerability about
	GECOS field.
	also fix a bug arround high-score.

Fix: here are some patches:
Comment 1 Michael Scheidell freebsd_committer 2011-12-17 22:38:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2011-12-20 18:07:32 UTC
State Changed
From-To: open->analyzed

Queued up for commit.
Comment 3 Michael Scheidell freebsd_committer 2011-12-21 14:16:55 UTC
State Changed
From-To: analyzed->closed

Committed with changes, maintainer: please review submission guidelines for patch files
Comment 4 dfilter service freebsd_committer 2011-12-21 14:17:01 UTC
scheidell    2011-12-21 14:16:47 UTC

  FreeBSD ports repository

  Modified files:
    games/xshisen        Makefile 
  Added files:
    games/xshisen/files  patch-components.h patch-main.c 
                         patch-score.c 
  Log:
  - Fixes buffer overflow about GECOS field [1]
  - also fix a bug arround high-score [1]
  - create files/patches-* for submission [2]
  - portsrevision bump [2]
  - entry into vulnxml for < 1.51_3 460118c0-2bde-11e1-bd69-001143cd36d8 [2]
  
  PR:             ports/163274 [1]
  Submitted by:   Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp> (maintainer) [1]
  Reviewed by:    scheidell [2]
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.33      +1 -1      ports/games/xshisen/Makefile
  1.1       +12 -0     ports/games/xshisen/files/patch-components.h (new)
  1.1       +12 -0     ports/games/xshisen/files/patch-main.c (new)
  1.1       +27 -0     ports/games/xshisen/files/patch-score.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"